Last Comment Bug 316087 - a11y: message/alert/help need to be dismissable with ESC key
: a11y: message/alert/help need to be dismissable with ESC key
Status: RESOLVED FIXED
: fixed1.8.0.2, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: Doron Rosenberg (IBM)
: Stephen Pride
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-11 11:44 PST by aaronr
Modified: 2016-07-15 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
testcase (1.93 KB, application/xhtml+xml)
2005-11-11 11:45 PST, aaronr
no flags Details
patch! (814 bytes, patch)
2005-11-14 13:36 PST, Doron Rosenberg (IBM)
aaronr: review+
bugs: review+
Details | Diff | Splinter Review

Description aaronr 2005-11-11 11:44:49 PST
as per http://www.mozilla.org/access/toolkit-checklist, we need to be able to dismiss message, alert and help popups with the ESC key.
Comment 1 aaronr 2005-11-11 11:45:34 PST
Created attachment 202705 [details]
testcase
Comment 2 Doron Rosenberg (IBM) 2005-11-14 13:36:58 PST
Created attachment 203035 [details] [diff] [review]
patch!

Adds a keypress listener to the generated XUL document.

Should we switch the code to use a real .xul file that sets itself up based on the passed in data?
Comment 3 Olli Pettay [:smaug] 2005-11-14 13:53:04 PST
(In reply to comment #2)
> Should we switch the code to use a real .xul file that sets itself up based on
> the passed in data?

Yes we should, but we must be careful to not to allow messages to have chrome privileges.

Comment 4 aaronr 2005-11-14 16:55:25 PST
Comment on attachment 203035 [details] [diff] [review]
patch!

Until we have the XUL file, this patch will get us past the problem.
Comment 5 Doron Rosenberg (IBM) 2005-11-15 09:22:34 PST
Checked into trunk
Comment 6 aaronr 2006-02-02 17:24:20 PST
checked into MOZILLA_1_8_BRANCH via bug 323691.  Leaving open for now until it gets into 1.8.0
Comment 7 aaronr 2006-07-07 10:00:07 PDT
verfied fixed on MOZILLA_1_8_BRANCH

Note You need to log in before you can comment on or make changes to this bug.